summaryrefslogtreecommitdiff
path: root/IR-Data/test-suite.sh
diff options
context:
space:
mode:
authorukw2015-09-21 12:46:25 +0000
committerukw2015-09-21 12:46:25 +0000
commit3d2da98a7a2b423edbdf4e685b588fbc5789dd7f (patch)
treef5307959915be1683392a64aab26b69295589f76 /IR-Data/test-suite.sh
parente823894742a84b65fd2e111836f62e8fb762670a (diff)
downloadirmp-3d2da98a7a2b423edbdf4e685b588fbc5789dd7f.zip
Version 2.9.5: added TECHNICS protocol
git-svn-id: svn://mikrocontroller.net/irmp@164 aeb2e35e-bfc4-4214-b83c-9e8de998ed28
Diffstat (limited to 'IR-Data/test-suite.sh')
-rw-r--r--IR-Data/test-suite.sh57
1 files changed, 30 insertions, 27 deletions
diff --git a/IR-Data/test-suite.sh b/IR-Data/test-suite.sh
index 3ea37ca..b0ffbb2 100644
--- a/IR-Data/test-suite.sh
+++ b/IR-Data/test-suite.sh
@@ -72,16 +72,16 @@ do
echo -n "testing $j ... "
if tmpsrc/irmp-10kHz -v < $j | grep -q error
then
- tmpsrc/irmp-10kHz -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp-10kHz -v < $j | grep error
+ echo "test failed"
+ exit 1
else
- if tmpsrc/irmp-10kHz -v < $j | grep -q checked
- then
- echo "checked!"
- else
- echo "successful"
- fi
+ if tmpsrc/irmp-10kHz -v < $j | grep -q checked
+ then
+ echo "checked!"
+ else
+ echo "successful"
+ fi
fi
done
@@ -99,29 +99,32 @@ for j in \
kathrein-15kHz.txt \
lg-air-15kHz.txt \
merlin-15kHz.txt \
+ pentax-15kHz.txt \
recs80-15kHz.txt \
saa3004-15kHz.txt \
samsung32-15kHz.txt \
samsung48-15kHz.txt \
sharp_15khz.txt \
+ technics-15kHz.txt \
thomson-mb100-15kHz.txt \
tp400vt-15kHz.txt \
universal-15kHz.txt \
+ vincent-flash-15kHz.txt \
xbox360-15kHz.txt
do
echo -n "testing $j ... "
if tmpsrc/irmp-15kHz -v < $j | grep -q error
then
- tmpsrc/irmp-15kHz -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp-15kHz -v < $j | grep error
+ echo "test failed"
+ exit 1
else
- if tmpsrc/irmp-15kHz -v < $j | grep -q checked
- then
- echo "checked!"
- else
- echo "successful"
- fi
+ if tmpsrc/irmp-15kHz -v < $j | grep -q checked
+ then
+ echo "checked!"
+ else
+ echo "successful"
+ fi
fi
done
@@ -138,16 +141,16 @@ do
echo -n "testing $j ... "
if tmpsrc/irmp-20kHz -v < $j | grep -q error
then
- tmpsrc/irmp-20kHz -v < $j | grep error
- echo "test failed"
- exit 1
+ tmpsrc/irmp-20kHz -v < $j | grep error
+ echo "test failed"
+ exit 1
else
- if tmpsrc/irmp-20kHz -v < $j | grep -q checked
- then
- echo "checked!"
- else
- echo "successful"
- fi
+ if tmpsrc/irmp-20kHz -v < $j | grep -q checked
+ then
+ echo "checked!"
+ else
+ echo "successful"
+ fi
fi
done